component:
  - audit
framework: beakerlib
require:
  - library(selinux-policy/common)
adjust:
  - enabled: false
    when: arch == aarch64, arm, armhfp, i386, ia64, ppc, ppc64, ppc64le, s390, s390x
    continue: false
  - enabled: false
    when: distro == rhel-4, rhel-5, rhel-6
    continue: false
contact:
  - Ondrej Moris <omoris@redhat.com>
description: |
    Bug summary: libauparse memory leak
    Bugzilla link: https://bugzilla.redhat.com/show_bug.cgi?id=1693470
duration: 5m
enabled: true
environment:
    AVC_ERROR: +no_avc_check
extra-nitrate: TC#0602357
extra-summary: /CoreOS/audit/Regression/bz1693470-libauparse-memory-leak
extra-task: /CoreOS/audit/Regression/bz1693470-libauparse-memory-leak
link:
  - relates: https://bugzilla.redhat.com/show_bug.cgi?id=1693470
recommend:
  - audit
  - gcc
  - audit-libs-devel
  - valgrind
summary: Test for BZ#1693470 (libauparse memory leak)
tag:
  - NoRHEL4
  - NoRHEL5
  - NoRHEL6
  - TIPpass
  - TIPpass_Security
  - Tier2
test: ./runtest.sh
tier: '2'
name: /Regression/bz1693470-libauparse-memory-leak
order: 50
id:
path: /Regression/bz1693470-libauparse-memory-leak
manual: false
tty: false
result: respect
where:
check: []
restart-on-exit-code: []
restart-max-count: 1
restart-with-reboot: false
sources:
  - /var/tmp/tmt/run-017/Plans/general/discover/Downstream_audit_tests/tests/main.fmf
  - /var/tmp/tmt/run-017/Plans/general/discover/Downstream_audit_tests/tests/Regression/bz1693470-libauparse-memory-leak/main.fmf
context: {}
